Bug 161451 - xscreensaver-demo crashes when clicking Documentation menu ( in Help menu )
xscreensaver-demo crashes when clicking Documentation menu ( in Help menu )
Status: CLOSED DUPLICATE of bug 167708
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2005-06-23 11:19 EDT by Akbar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 11:01:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps output when seeing xscreensaver documentation (12.28 KB, text/plain)
2005-07-05 06:06 EDT, Mamoru TASAKA
no flags Details
Patch for man command to use the basename of screenhacks (1.16 KB, patch)
2005-07-14 04:06 EDT, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Akbar 2005-06-23 11:19:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The xscreensaver configuration tool crashes when I click the documenation menu.

Version-Release number of selected component (if applicable):
xscreensaver-base-4.21-4

How reproducible:
Always

Steps to Reproduce:
1. open terminal ( xterm, gnome-terminal, etc )
2. type 'xscreensaver-demo' without quote
3. click Help menu
4. click Documentation

Actual Results:  Segmentation fault, babe

Expected Results:  The documentation of xscreensaver appears

Additional info:

This is the default installation of fedora core 4. I only installed xscreensaver-base. I don't install xscreensaver-extra.
Comment 1 Mamoru TASAKA 2005-07-05 06:06:24 EDT
Created attachment 116349 [details]
ps output when seeing xscreensaver documentation

For me, seeing xscreensaver documentation by clicking Document sometimes 
crashes X server.
It seems that this is because when clicking Document, the command "man" is 
looking at not the (gzipped) documentation file but at the binary file of the
command ( which is at /usr/libexec/xscreensaver/...) , which is probably due
to the PATCH3 or PATCH4 in xscreensaver-4.21-4.src.rpm .

See the attached file, which is the output of "ps auwwxf" when I browse a
documentation of xscreensaver
Comment 2 Mamoru TASAKA 2005-07-14 04:06:40 EDT
Created attachment 116732 [details]
Patch for man command to use the basename of screenhacks

A workaround patch for man command to use the basename of screenhacks.

In the defalut setting, the manual page name of a screenhacks is 
the same as that of the screenhacks and all the manal pages are 
in the path of "manpath". So using the basename of the screenhacks works
under the current fc4 setting.

If the directory of the manual pages is changed, this patch no longer
works.
Comment 3 Mamoru TASAKA 2005-09-07 11:05:08 EDT
My comment is moved to bug 167708.
Comment 4 Christian Iseli 2007-01-19 19:42:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Mamoru TASAKA 2007-01-22 11:01:09 EST

*** This bug has been marked as a duplicate of 167708 ***

Note You need to log in before you can comment on or make changes to this bug.